<style>
  /* Custom styles */
  .city-image {
      background-size: cover;
      height: 400px;
  }
</style>
<nav class="bg-gray-200 p-4" aria-label="Breadcrumb">
  <ol class="list-none p-0 inline-flex">
      <li class="flex items-center">
          <a href="/" class="text-blue-600">Home /&nbsp;</a>
          
      </li>
      <li class="flex items-center">
        {{cityName}}
      </li>
  </ol>
</nav>
<!-- Content -->
<div class="container mx-auto px-4 py-8">
  <!-- City Header -->
  <div class="text-center">
      <h1 class="text-4xl font-bold">{{cityName}}, {{regionCode}}</h1>
      <p class="text-gray-700">Population: {{population}}</p>
  </div>
  <!-- City Image -->
  <div [ngStyle]="{ 'background-image': 'url(' + bannerImageUrl + ')'}" class="city-image rounded-lg shadow-lg mb-8"></div>
  <!-- City Information -->
  <div class="grid grid-cols-1 md:grid-cols-2 gap-8">
      <!-- Left Column - Map Placeholder -->
      <div class="bg-gray-300 rounded-lg p-6">
          <h2 class="text-2xl font-semibold mb-4">City Map</h2>
          <div class="h-80 flex items-center justify-center">
              <p class="text-gray-600">Map Placeholder</p>
          </div>
      </div>
      <!-- Right Column - Description -->
      <div *ngIf="summary!=''">
          <h2 class="text-2xl font-semibold mb-4">About {{cityName}}</h2>
          <p class="text-gray-700">
            {{summary}}
          </p>
      </div>
      <div *ngIf="summary==''" class="animate-pulse">
        <div class="h-6 bg-gray-200 rounded w-1/2 mb-4"></div>
        <div class="h-4 bg-gray-200 rounded w-full"></div>
      </div>
  </div>
</div>